%define datatrunk	200511251506

Name: libfoundation
Version: r135
Release: alt0.2

Summary: libFoundation Objective-C library

License: libFoundation license
Group: System/Libraries
Url: http://www.opengroupware.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://download.opengroupware.org/sources/trunk/%name-trunk-%version-%datatrunk.tar.bz2
Patch: %name.patch

# Automatically added by buildreq on Sat Nov 05 2005
BuildRequires: gcc-objc gnustep-make-libFoundation-devel
# libobjc-devel

BuildRequires: gnustep-make-libFoundation-devel >= 1.10.0
BuildRequires: libobjc-lf2-devel >= r135

Requires: libobjc-lf2 >= r135

%description
This package contains the libFoundation library, an Objective-C
library which aims to implement the Foundation part of the OpenStep
specification.

%package devel
Summary: The header files for the libFoundation Objective-C library
Group: Development/Other
Requires: gnustep-make-devel >= 1.10.0
Requires: %name = %version-%release

%description devel
libFoundation Objective-C development package.

%prep
%setup -q -n libfoundation
%patch -p0

%build
. %_libdir/GNUstep-libFoundation/System/Library/Makefiles/GNUstep.sh
%define libf_makeflags -w GNUSTEP_TARGET_OS=$GNUSTEP_HOST_OS
export LDFLAGS=-L%_libdir/GNUstep-libFoundation/System/Library/Libraries/ix86/linux-gnu/gnu-fd-nil/
export ADDITIONAL_CPPFLAGS="-I%_libdir/GNUstep-libFoundation/System/Library/Headers/gnu-fd-nil"
./configure
%__make %libf_makeflags all

%install
install -d %buildroot%_libdir
install -d %buildroot%_libdir/GNUstep-libFoundation/System/Library/Makefiles/Additional

. %_libdir/GNUstep-libFoundation/System/Library/Makefiles/GNUstep.sh

%__make %libf_makeflags install \
	INSTALL_ROOT_DIR=%buildroot \
	GNUSTEP_INSTALLATION_DIR=%buildroot%_libdir/GNUstep-libFoundation/System \
	FHS_INSTALL_ROOT=%buildroot%prefix

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%attr(755,root,root) %_bindir/Defaults
%_libdir/libFoundation*.so.*.*
%dir %_datadir/libFoundation
%_datadir/libFoundation/CharacterSets
%_datadir/libFoundation/Defaults
%_datadir/libFoundation/TimeZoneInfo

%files devel
%_libdir/libFoundation*.so
%_includedir/lfmemory.h
%_includedir/real_exception_file.h
%_includedir/Foundation
%_includedir/extensions
%_libdir/GNUstep-libFoundation/System

%changelog
* Sun Dec 04 2005 Vitaly Lipatov <lav@altlinux.ru> r135-alt0.2
- new version
- rebuild with needed libobjc

* Sat Nov 05 2005 Vitaly Lipatov <lav@altlinux.ru> r130-alt0.1
- initial build for ALT Linux Sisyphus
- spec from PLD Team <feedback@pld-linux.org>
